MOUNTD(8)

NAME
mountd - NFS mount daemon

SYNOPSIS
/usr/sbin/rpc.mountd [ -f exports-file ] [ -d facility ] [ -Dhnprv ] [ --debug ] [ --exports-file=file ] [ --help ] [ --allow-non-root ] [ --re-export ] [ --version ]

DESCRIPTION
The mountd program is an NFS mount daemon.

OPTIONS

-f or --exports-file
    This option specifies the exports file, listing the clients that this server is prepared to serve and parameters to apply to each such mount (see exports(5)). By default exports are read from /etc/exports.

-d or --debug
    Log each transaction verbosely to standard error. Valid log facilities are call for the logging of all calls, auth for client authentication, fhcache for operations of the file handle cache, and rmtab for manipulation of /etc/rmtab. By default, log output is sent to syslogd unless the daemon runs in the foreground.

-F or --foreground
    Unlike normal in operation, mountd will not detach from the terminal when given this option. When debugging is requested, it will be sent to standard error.

-h or --help
    Provide a short help summary.

-n or --allow-non-root
    Allow incoming mount requests to be honored even if they do not originate from reserved IP ports. Some older NFS client implementations require this. Some newer NFS client implementations don't believe in reserved port checking.

-p or --promiscuous
    Put the server into promiscuous mode where it will serve any host on the network.

-r or --re-export
    Allow imported NFS file-systems to be exported. This can be used to turn a machine into an NFS multiplier. Caution should be used when re-exporting loopback NFS mounts because re-entering the mount point will result in deadlock between the NFS client and the NFS server.

-v or --version
    Report the current version number of the program.

BUGS
This implementation of mountd does keep track of remote mounts and stores them in /etc/rmtab. This information can be displayed using the showmount command. However, it is not guaranteed that this information is always accurate because clients may unmount a volume without notifying mountd, or clients may simply crash.

SIGNALS
When receiving a SIGHUP, mountd will re-read the exports file. Note that to make export changes take effect, you have to send nfsd a SIGHUP as well.

FILES
/etc/exports
/etc/rmtab

SEE ALSO
exports(5), nfsd(8), ugidd(8C), showmount(8).